Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224346 - playing of this stream kills X
Summary: playing of this stream kills X
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Adam Jackson
QA Contact: David Lawrence
URL: http://yuiblog.com/assets/yui-gm-babe...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 11:52 UTC by Matěj Cepl
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-14 12:33:57 UTC


Attachments (Terms of Use)
output of gst-launch -v -m -t --gst-debug=\* --gst-debug-level=5 --gst-debug-no-color playbin uri=http://yuiblog.com/assets/yui-gm-babelfish.mov (deleted)
2007-01-25 12:08 UTC, Matěj Cepl
no flags Details
log file (deleted)
2007-02-01 14:03 UTC, Matěj Cepl
no flags Details
xorg.conf (deleted)
2007-02-01 14:04 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2007-01-25 11:52:33 UTC
Description of problem:
Playing the MOV file (with URL shown in URL field) kills X. Tried both with
totem-mozilla plugin and gst-launch. ffmpeg (as well as mplayer using it) play
this file safely.

Version-Release number of selected component (if applicable):
ffmpeg-0.4.9-0.25.20061030.lvn6
gstreamer-0.10.11-0.gst.1.6
gstreamer-plugins-bad-devel-0.10.4-0.gst.1.6
gstreamer-plugins-good-debuginfo-0.10.5-2
gstreamer-pitfdll-0.9.1.1-1.fc6
gstreamer-plugins-base-0.10.11-0.gst.1.6
gstreamer-plugins-farsight-0.10.2-2.fc6
gstreamer-plugins-fluendo-windowsmedia-0.10-7.el5
gstreamer-plugins-ugly-debuginfo-0.10.5-1.lvn6
gstreamer-plugins-bad-0.10.4-0.gst.1.6
gstreamer-plugins-farsight-debuginfo-0.10.2-2.fc6
gstreamer-ffmpeg-debuginfo-0.10.2-0.3.20061108.lvn6
gstreamer-python-0.10.6-1.fc6
gstreamer-devel-0.10.11-0.gst.1.6
gstreamer-plugins-base-devel-0.10.11-0.gst.1.6
gstreamer-plugins-base-debuginfo-0.10.11-0.gst.1.6
gstreamer-ffmpeg-0.10.2-0.3.20061108.lvn6
gstreamer-plugins-fluendo-video-0.10-7.el5
gstreamer-plugins-good-0.10.5-2
gstreamer-pitfdll-debuginfo-0.9.1.1-1.fc6
gstreamer-python-debuginfo-0.10.6-1.fc6
gstreamer-plugins-ugly-0.10.5-1.lvn6
gstreamer-tools-0.10.11-0.gst.1.6
gstreamer-debuginfo-0.10.11-0.gst.1.6
gstreamer-plugins-bad-debuginfo-0.10.4-0.gst.1.6
gstreamer-plugins-good-devel-0.10.5-2
mplayer-debuginfo-1.0-0.66.rc1.lvn6
mplayer-fonts-1.1-4.lvn6
mplayer-doc-1.0-0.66.rc1.lvn6
mplayer-1.0-0.66.rc1.lvn6
totem-plparser-2.17.3-2
totem-devel-2.17.3-2
totem-debuginfo-2.17.3-2
totem-2.17.3-2
totem-mozplugin-2.17.3-2

How reproducible:
100% (tried three times)

Steps to Reproduce:
1.try to play the above shown file (either locally or from URL) with any
gst-based player
2.
3.
  
Actual results:
X get killed and login screen is shown

Expected results:
something different :-)

Additional info:

Comment 1 Matěj Cepl 2007-01-25 12:08:26 UTC
Created attachment 146527 [details]
output of gst-launch -v -m -t --gst-debug=\* --gst-debug-level=5 --gst-debug-no-color playbin uri=http://yuiblog.com/assets/yui-gm-babelfish.mov

Comment 2 Bastien Nocera 2007-02-01 11:23:50 UTC
X crashing is an X bug. Mind that you have a lot of plugins there that aren't
actually shipped in RHEL5.

$ gst-launch playbin uri=http://yuiblog.com/assets/yui-gm-babelfish.mov
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
** Message: don't know how to handle video/quicktime
ERROR: from element /playbin0: You do not have a decoder installed to handle
this file. You might need to install the necessary plugins.
Additional debug info:
gstplaybasebin.c(1663): prepare_output (): /playbin0
ERROR: pipeline doesn't want to preroll.
Setting pipeline to NULL ...
FREEING pipeline ...

Doesn't crash here :)

Please attach the X logs, and associated to this bug.

Comment 3 Matěj Cepl 2007-02-01 14:03:20 UTC
Created attachment 147099 [details]
log file

I am afraid there isn't much there.

Comment 4 Matěj Cepl 2007-02-01 14:04:01 UTC
Created attachment 147100 [details]
xorg.conf

Comment 5 Matěj Cepl 2007-02-01 14:48:07 UTC
It feels weird, when I am asked for these logs ;-)
Unfortunately, I don't see much there, Xorgs are killed pretty cleanly (even
bash has gst-launch in history).

Comment 8 Matěj Cepl 2007-09-14 12:33:57 UTC
OK, closing my own bug as INSUFFICIENT_DATA :-)


Note You need to log in before you can comment on or make changes to this bug.